# Type alias StringToHtmlReplacement

StringToHtmlReplacement: { compiled_expression?: RegExp; expression: string; flags?: string; template: string }

#### Type declaration

- ##### `Optional` compiled_expression?: RegExp

  Internal: the compiled regular expression.

- ##### expression: string

  The regexp expression that must match to do the replacement.

- ##### `Optional` flags?: string

  The regexp flags.

- ##### template: string

  The template to use to create a new value as replacement if the regex matches.

- Defined in config.ts:329

Generated using TypeDoc